## nds2-client-0.16.2.tar.gz

=== CMakeLists.txt ===
# -*- mode: cmake; conding: utf-8; cmake-tab-width: 4; indent-tabs-mode: nil; -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
#------------------------------------------------------------------------
#
# NOTES:
#   OSX: invoke with environment variable CMAKE_OSX_ARCHITECTURES set
#        to the single architecture desired
#        (ex: i386 XOR x86_64)
#   WIN32:
#        cmake should be invoked with
#           "-DWITH_GSSAPI=\Program Files\MIT\Kerberos"
#
# DEFINES:
#   CMAKE_INSTALL_PREFIX  - Installation prefix
#   MATLAB_NO_NODISPLAY   - Run the matlab tests w/o using the -nodisplay option
#   PROG_MATLAB           - Full path to MATLAB executable
#   REPLAY_BLOB_CACHE_DIR - Directory containing replay blobs for testing
#------------------------------------------------------------------------
cmake_minimum_required( VERSION 3.0 FATAL_ERROR )

project(nds2-client
    VERSION "0.16.2"
    LANGUAGES C CXX)


set( NDS_CONFIG_PATH "${PROJECT_SOURCE_DIR}/config/cmake")
if( ${CMAKE_VERSION} VERSION_LESS 3.0 )
    set( CMAKE_MODULE_PATH "${NDS_CONFIG_PATH}/ModulesPre3_0/;${CMAKE_MODULE_PATH}" )
endif( ${CMAKE_VERSION} VERSION_LESS 3.0 )

set( CMAKE_MODULE_PATH "${NDS_CONFIG_PATH}/Modules;${CMAKE_MODULE_PATH}" )
set( CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE )

set( PROJECT_DEBIAN_RULES_INPUT_FILENAME
    "${NDS_CONFIG_PATH}/debian.rules.in" )

include(UseNDS)
include(Cpp11)
include(CheckIncludeFileCXX)

cond_set_policy( CMP0003 NEW )
cond_set_policy( CMP0026 NEW )
cond_set_policy( CMP0040 NEW )
cond_set_policy( CMP0042 NEW )
cond_set_policy( CMP0053 NEW )
cond_set_policy( CMP0054 NEW )

include(CheckCXXCompilerFlag)
include(FindSharedPtr)
include(InstallRequiredSystemLibraries)
include(GNUInstallDirs)
include(GNUPkgInstallDirs)
include(Coverage)
include(ax_macros)

macro(is_enabled _VARNAME)
  # ---------------------------------------------------------------------
  #
  # ---------------------------------------------------------------------
  if( ${_VARNAME} )
    set(IS_ENABLED_VALUE "ENABLED")
  else ()
    set(IS_ENABLED_VALUE "DISABLED")
  endif ()
endmacro(is_enabled)

macro(set_autotools_path _VARNAME _VALUE _PREFIX)
    if ( IS_ABSOLUTE ${_VALUE} )
        set( ${_VARNAME} "${_VALUE}")
    else ( IS_ABSOLUTE ${_VALUE} )
        set( ${_VARNAME} "${_PREFIX}/${_VALUE}")
    endif ( IS_ABSOLUTE ${_VALUE} )
endmacro(set_autotools_path)

function(set_nds_protocols variable TEST_NAME)
    string(REPLACE "_" ";" name_list ${TEST_NAME})
    list(SORT name_list)
    list(REMOVE_DUPLICATES name_list)
    list(REMOVE_ITEM name_list "")
    ## message(STATUS "DEBUG: set_nds_protocols: name_list: ${name_list}")

    list(FIND name_list nds1 _index)
    if (${_index} GREATER -1)
        set(protocol_list ${NDS_TESTING_PROTOCOLS_NDS1})
    endif (${_index} GREATER -1)

    list(FIND name_list nds2 _index)
    if (${_index} GREATER -1)
        set(protocol_list ${NDS_TESTING_PROTOCOLS_NDS2})
    endif (${_index} GREATER -1)
    list(LENGTH protocol_list len)
    if ( NOT DEFINED protocol_list )
        message(FATAL_ERROR "Unable to determine NDS protocol for test ${TEST_NAME}")
    endif ( NOT DEFINED protocol_list )
    ## message(STATUS "DEBUG: set_nds_protocols: protocol_list: ${protocol_list}")
    set(${variable} ${protocol_list} PARENT_SCOPE)
endfunction(set_nds_protocols)

function( verify_release_info filename pattern )
    #--------------------------------------------------------------------
    # verifies that file has string pattern for release.
    #--------------------------------------------------------------------
    file(READ ${filename} buffer)
    string( FIND "${buffer}" ${pattern} matchres )
    if( ${matchres} EQUAL -1 )
        message( FATAL_ERROR "File: ${filename} has not been updated for release ${pattern}" )
    else( )
        message( STATUS "File: ${filename} has been updated for release ${pattern}" )
    endif( )
endfunction( )

#========================================================================
# Release version number
#========================================================================
set( PACKAGE_NAME ${PROJECT_NAME} )
set( PACKAGE_VERSION ${${PROJECT_NAME}_VERSION} )

verify_release_info( "${CMAKE_SOURCE_DIR}/ChangeLog" "${PROJECT_NAME}-${PROJECT_VERSION}")
verify_release_info( "${CMAKE_SOURCE_DIR}/debian/changelog" "${PROJECT_NAME} (${PROJECT_VERSION}-1)")

# The following line is an input marker for some sed work when doing a
# CI build, it is used to inject an updated version tag when building
# a deb/rep/...  so it is only used on a copy of this file.
##CI_code_version_update

if( WIN32 )
    set(EXECUTABLE_OUTPUT_PATH "${CMAKE_BINARY_DIR}/bin")
    set(LIBRARY_OUTPUT_PATH "${CMAKE_BINARY_DIR}/bin")
endif( WIN32 )

if( ${CMAKE_VERSION} VERSION_LESS 3.2.0 )
    find_program(PROG_ENV env)
else( ${CMAKE_VERSION} VERSION_LESS 3.2.0 )
    set( PROG_ENV "${CMAKE_COMMAND}" "-E" "env" )
endif( ${CMAKE_VERSION} VERSION_LESS 3.2.0 )

if( NOT REPLAY_BLOB_CACHE_DIR )
    set( REPLAY_BLOB_CACHE_DIR FALSE CACHE PATH "Directory containing replay blobs for testing" )
endif( NOT REPLAY_BLOB_CACHE_DIR )

#------------------------------------------------------------------------
# Purely internal variables
#------------------------------------------------------------------------
set( NDS_CUSTOM_TESTS_IGNORE ""
    CACHE INTERNAL
    "List of tests to ignore during the Test stage" )
set( NDS_CUSTOM_MEMCHECK_IGNORE ""
    CACHE INTERNAL
    "List of tests to ignore during the MemCheck stage" )

#------------------------------------------------------------------------
# Figure out where to install libraries
#------------------------------------------------------------------------
if ( WIN32 )
  set( RUNTIME_DESTINATION ${CMAKE_INSTALL_BINDIR} )
  set( LIBRARY_DESTINATION ${CMAKE_INSTALL_BINDIR} )
else ( WIN32 )
  set( RUNTIME_DESTINATION ${CMAKE_INSTALL_LIBDIR} )
  set( LIBRARY_DESTINATION ${CMAKE_INSTALL_LIBDIR} )
endif( WIN32 )

set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_WELCOME "${CMAKE_SOURCE_DIR}/README")
set(CPACK_PACKAGE_DESCRIPTION_FILE "${CMAKE_SOURCE_DIR}/README")
set(CPACK_RESOURCE_FILE_README "${CMAKE_SOURCE_DIR}/ChangeLog")
set(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "${PACKAGE_NAME}")

set(NDS_BIN_DIR ${CMAKE_INSTALL_PREFIX}/bin)
set(NDS_PKG_DATA_DIR)

if(WIN32 AND NOT UNIX)
  SET(CPACK_NSIS_MODIFY_PATH Installers)
  # ON for 32- vs. 64-bit CMake:
  #  - Root install directory (displayed to end user at installer-run time)
  #  - "NSIS package/display name" (text used in the installer GUI)
  #  - Registry key used to store info about the installation
  if(CMAKE_CL_64)
    set(CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES64")
    # SET(CPACK_NSIS_PACKAGE_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY} (Win64)")
    # SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "${CPACK_PACKAGE_NAME} ${CPACK_PACKAGE_VERSION} (Win64)")
  else()
    set(CPACK_NSIS_INSTALL_ROOT "$PROGRAMFILES")
    # SET(CPACK_NSIS_PACKAGE_NAME "${CPACK_PACKAGE_INSTALL_DIRECTORY}")
    # SET(CPACK_PACKAGE_INSTALL_REGISTRY_KEY "${CPACK_PACKAGE_NAME} ${CPACK_PACKAGE_VERSION}")
  endif()
endif(WIN32 AND NOT UNIX)
if ( DEFINED ENABLE_64BIT AND ( "${ENABLE_64BIT}" MATCHES "no" ) )
  unset( ENABLE_64BIT CACHE)
endif ( DEFINED ENABLE_64BIT AND ( "${ENABLE_64BIT}" MATCHES "no" ) )

#if ( APPLE )
  #----------------------------------------------------------------------
  # Allows RPATH to work with macports
  #----------------------------------------------------------------------
  set( _rpath "${CMAKE_INSTALL_PREFIX}/${LIBRARY_DESTINATION}" )
  list( FIND CMAKE_PLATFORM_IMPLICIT_LINK_DIRECTORIES "${_rpath}" isSystemDir )
  if ( "${isSystemDir}" STREQUAL "-1" )
    set( CMAKE_INSTALL_RPATH "${_rpath}" )
    set( CMAKE_INSTALL_RPATH_USE_LINK_PATH TRUE )
  endif ( "${isSystemDir}" STREQUAL "-1" )
#endif ( APPLE )

#========================================================================
# Prepare for testing
#========================================================================

if ( NOT DEFINED NDS_TESTING_PROTOCOLS_NDS1 )
    set( NDS_TESTING_PROTOCOLS_NDS1
        nds1-12_2 )
endif ( NOT DEFINED NDS_TESTING_PROTOCOLS_NDS1 )
if ( NOT DEFINED NDS_TESTING_PROTOCOLS_NDS2 )
    set( NDS_TESTING_PROTOCOLS_NDS2
        nds2-1_6 nds2-1_5 )
endif ( NOT DEFINED NDS_TESTING_PROTOCOLS_NDS2 )
if ( DEFINED CTEST_TESTING_TIMEOUT )
    set( CTEST_TESTING_TIMEOUT 60 )
endif ( DEFINED CTEST_TESTING_TIMEOUT )

if( NOT CTEST_MEMORYCHECK_COMMAND )
    find_program( CTEST_MEMORYCHECK_COMMAND NAMES valgrind )
endif( NOT CTEST_MEMORYCHECK_COMMAND )
if( NOT MEMORYCHECK_COMMAND )
    set( MEMORYCHECK_COMMAND ${CTEST_MEMORYCHECK_COMMAND} )
endif( NOT MEMORYCHECK_COMMAND )

if( NOT CTEST_MEMORYCHECK_COMMAND_OPTIONS )
    set( CTEST_MEMORYCHECK_COMMAND_OPTIONS "--trace-children=yes --leak-check=full" )
endif( NOT CTEST_MEMORYCHECK_COMMAND_OPTIONS )
if( NOT MEMORYCHECK_COMMAND_OPTIONS )
    set( MEMORYCHECK_COMMAND_OPTIONS ${CTEST_MEMORYCHECK_COMMAND_OPTIONS} )
endif( NOT MEMORYCHECK_COMMAND_OPTIONS )


include(CTest)
enable_testing( )

set(PROG_NDS_TESTER "${CMAKE_SOURCE_DIR}/tests/nds_tester.py" )
set(NDS_TESTER_FLAGS
    "--builddir=\${CMAKE_CURRENT_BINARY_DIR}"
    "--abs-top-srcdir=${CMAKE_SOURCE_DIR}"
    "--abs-srcdir=\${CMAKE_CURRENT_SOURCE_DIR}"
    "--abs-top-builddir=${CMAKE_BINARY_DIR}"
    "--abs-testerdir=${CMAKE_SOURCE_DIR}/tests"
)

#========================================================================
# Prepare for distribuition
#========================================================================
#   G e n e r a l
#------------------------------------------------------------------------
set( CPACK_PACKAGE_VENDOR "LIGO" )
set( CPACK_PACKAGE_MAJOR ${${PROJECT_NAME}_MAJOR_VERSION} )
set( CPACK_PACKAGE_MINOR ${${PROJECT_NAME}_MINOR_VERSION} )
set( CPACK_PACKAGE_PATCH ${${PROJECT_NAME}_PATCH_VERSION} )
set( CPACK_PACKAGE_DESCRIPTION_SUMMARY "Client interface to NDS and NDS2 servers" )
set( CPACK_PACKAGE_VERSION "${CPACK_PACKAGE_MAJOR}.${CPACK_PACKAGE_MINOR}.${CPACK_PACKAGE_PATCH}" )
#------------------------------------------------------------------------
#   S O U R C E
#------------------------------------------------------------------------
set( CPACK_SOURCE_GENERATOR TBZ2 )
set( CPACK_SOURCE_PACKAGE_FILE_NAME
     ${PROJECT_NAME}-${${PROJECT_NAME}_VERSION} )
#set( CPACK_SYSTEM_NAME noarch )
set( CPACK_SOURCE_IGNORE_FILES
    "/.*~$/"
    "/(CVS|autom4te[.]cache)/"
    "/[.](git|svn|build.*)/"
    "[.]swap$"
    "[.]#"
    ".*~$"
    "cscope.*"
    )


include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckTypeSize)
include(CheckIncludeFiles)

include(CPack)

find_package(Doxygen)
find_package(Sed)
find_package(PythonInterp)

find_program(PROG_MATLAB matlab)

if(WIN32)
  if(IS_DIRECTORY "C:/Program Files/Mcirosoft SDKs/Windows/v7.0" )
    list(APPEND CMAKE_SYSTEM_PREFIX_PATH "C:/Program Files/Mcirosoft SDKs/Windows/v7.0")
  endif(IS_DIRECTORY "C:/Program Files/Mcirosoft SDKs/Windows/v7.0" )
endif(WIN32)
#========================================================================
# Check for header files
#========================================================================
check_include_files("sys/socket.h" HAVE_SYS_SOCKET_H)
check_include_files("sys/time.h"   HAVE_SYS_TIME_H)
check_include_files("arpa/inet.h"  HAVE_ARPA_INET_H)
check_include_files("netinet/in.h" HAVE_NETINET_IN_H)
check_include_files("errno.h"	   HAVE_ERRNO_H)
check_include_files("fcntl.h"	   HAVE_FCNTL_H)
check_include_files("fnmatch.h"    HAVE_FNMATCH_H)
check_include_files("io.h"         HAVE_IO_H)
check_include_files("inttypes.h"   HAVE_INTTYPES_H)
check_include_files("limits.h"     HAVE_LIMITS_H)
check_include_files("netdb.h"      HAVE_NETDB_H)
check_include_files("pthread.h"    HAVE_PTHREAD_H)
check_include_files("stdarg.h"     HAVE_STDARG_H)
check_include_files("stdint.h"     HAVE_STDINT_H)
check_include_files("stdio.h"      HAVE_STDIO_H)

=== src/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#------------------------------------------------------------------------
ADD_SUBDIRECTORY(common)
ADD_SUBDIRECTORY(client)
add_subdirectory(libndscxx)
ADD_SUBDIRECTORY(util)

=== tests/CMakeLists.txt ===
# -*- mode: cmake; conding: utf-8; cmake-tab-width: 4; indent-tabs-mode: nil; -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
#------------------------------------------------------------------------
#------------------------------------------------------------------------
cmake_minimum_required( VERSION 3.0 FATAL_ERROR )

set( TEST_SCRIPTS
  mockup_server.py
  nds2_proxy.py
  nds_tester.py
  null_server.py
  record_proxy.py
  record_wrapper.py
  replay.py
  replay_wrapper.py
  sock_test.py
  unit_test.py
  )

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/nds-client-tester.pc.in
                ${CMAKE_CURRENT_BINARY_DIR}/nds-client-tester.pc @ONLY)


include( CMakePackageConfigHelpers )

configure_package_config_file(
    ${CMAKE_CURRENT_SOURCE_DIR}/NDSTesterConfig.cmake.in
    ${CMAKE_CURRENT_BINARY_DIR}/NDSTesterConfig.cmake
    INSTALL_DESTINATION ${CMAKE_INSTALL_BINDIR}
    PATH_VARS
      CMAKE_INSTALL_INCLUDEDIR
      CMAKE_INSTALL_LIBDIR
      CMAKE_INSTALL_LIBEXECDIR
      )
write_basic_package_version_file(
    ${CMAKE_CURRENT_BINARY_DIR}/NDSTesterConfigVersion.cmake
    VERSION ${PROJECT_VERSION}
    COMPATIBILITY AnyNewerVersion
    )
install(
    FILES
      ${CMAKE_CURRENT_BINARY_DIR}/NDSTesterConfig.cmake
      ${CMAKE_CURRENT_BINARY_DIR}/NDSTesterConfigVersion.cmake
    DESTINATION ${_nds_client_install_cmake_dir}
    COMPONENT Development
    )

install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/nds-client-tester.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
  COMPONENT Development
)

install(
  PROGRAMS ${TEST_SCRIPTS}
  DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/nds2-client
  COMPONENT Development
  )

install(
  DIRECTORY
    ${CMAKE_CURRENT_SOURCE_DIR}/modules
    ${CMAKE_CURRENT_SOURCE_DIR}/sasl
    ${CMAKE_CURRENT_SOURCE_DIR}/test-json
    ${CMAKE_CURRENT_SOURCE_DIR}/test-scripts
  DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/nds2-client
  COMPONENT Development
  )

=== src/client/CMakeLists.txt ===
#------------------------------------------------------------------------
# -*- mode: cmake -*-
#------------------------------------------------------------------------
#------------------------------------------------------------------------
# global variables
#------------------------------------------------------------------------
set(POST_INSTALL "")
set( ndsclient_srcs
     nds_auth.c
     nds_log.c
     nds_logging.c
     nds_os.c
     nds1_access.c
     nds2_access.c
     daqc_access.c
     daqc_internal.c
     daqc_listener.c
     daqc_private.c
     trench.c
)

set( ndsclient_hdrs
     channel.h
     daqc.h
     daqc_response.h
     nds_logging.h
     trench.h
)

set( ndsclient_pvt_hdrs
     daqc_internal.h
     daqc_listener.h
     daqc_private.h
     nds_auth.h
     nds1.h
     nds2.h
)

set( optionalLibs )

#------------------------------------------------------------------------
# Find some pieces that will be needed
#------------------------------------------------------------------------
include( CheckIncludeFiles )

find_package(Threads)

find_package(SASL)
if( SASL_FOUND )
  include_directories( ${SASL_INCLUDE_DIR} )
  set(optionalLibs ${SASL_LIBRARY} ${optionalLibs})
  set(HAVE_SASL 1)
endif( SASL_FOUND )
set(SASL_FOUND ${SASL_FOUND} PARENT_SCOPE)

find_package(GSSAPI)
if( GSSAPI_FOUND )
  include_directories( ${GSSAPI_INCLUDE_DIR} )
  set(optionalLibs ${GSSAPI_LIBRARY} ${optionalLibs})
endif( GSSAPI_FOUND )
if( WIN32 )
  SET(optionalLibs ${optionalLibs} Ws2_32)
endif( WIN32 )

#------------------------------------------------------------------------
#
#------------------------------------------------------------------------

check_symbol_exists(closesocket "winsock2.h;ws2def.h" HAVE_CLOSESOCKET)
check_symbol_exists(snprintf_s "stdio.h" HAVE_SNPRINTF_S)
check_symbol_exists(sprintf_s  "stdio.h" HAVE_SPRINTF_S)
check_symbol_exists(vsnprintf_s "stdio.h" HAVE_VSNPRINTF_S)

check_symbol_exists(asprintf "stdio.h" HAVE_ASPRINTF)
check_symbol_exists(vasprintf "stdio.h" HAVE_VASPRINTF)
check_symbol_exists(va_copy "stdarg.h" HAVE_VA_COPY)
check_symbol_exists(__va_copy "stdarg.h" HAVE___VA_COPY)

#------------------------------------------------------------------------
# Generate the system configuration file
#------------------------------------------------------------------------

include_directories( ${CMAKE_CURRENT_BINARY_DIR} )
configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/config_cmake.h.in
                ${CMAKE_CURRENT_BINARY_DIR}/daq_config.h )
add_definitions( "-DHAVE_CONFIG_H=1" )

#------------------------------------------------------------------------
# These are the pieces that will be built
#------------------------------------------------------------------------
cmake_policy(PUSH)
cmake_policy(SET CMP0003 NEW)
add_library(ndsclient SHARED ${ndsclient_srcs})
target_link_libraries(ndsclient ${CMAKE_THREAD_LIBS_INIT})
set( install_libs ndsclient )
add_library(ndsclientStatic STATIC ${ndsclient_srcs})
target_link_libraries(ndsclientStatic ${CMAKE_THREAD_LIBS_INIT})
if( UNIX )
  set( install_libs ${install_libs} ndsclientStatic )
  set_target_properties(ndsclientStatic PROPERTIES OUTPUT_NAME ndsclient)
endif( UNIX )
cmake_policy(POP)

target_link_libraries(ndsclient ${optionalLibs})

set( NDSCLIENT_SOVERSION_CURRENT  4 )
set( NDSCLIENT_SOVERSION_REVISION 0 )
set( NDSCLIENT_SOVERSION_AGE      3 )

if ( UNIX )
  nds_libtool_version_calculation( NDSCLIENT
    ${NDSCLIENT_SOVERSION_CURRENT}
    ${NDSCLIENT_SOVERSION_REVISION}
    ${NDSCLIENT_SOVERSION_AGE} )
  set_target_properties( ndsclient PROPERTIES
    VERSION ${NDSCLIENT_VERSION}
    SOVERSION ${NDSCLIENT_SOVERSION} )
endif ( UNIX )

#------------------------------------------------------------------------
# Testing - CTest
#------------------------------------------------------------------------

add_executable( test_nds_logging
		test_nds_logging.c )
target_link_libraries( test_nds_logging
               ndsclient
               ${CMAKE_DL_LIBS} )

add_test( NAME NDSLoggingParse
	  COMMAND test_nds_logging --parse )
add_test( NAME NDSLoggingQuietInit
	  COMMAND test_nds_logging --quiet-init )

#------------------------------------------------------------------------
# Create the package configure files
#------------------------------------------------------------------------
configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/nds2-client.cfg.in
                ${CMAKE_CURRENT_BINARY_DIR}/nds2-client.cfg
		@ONLY )
configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/nds2-client.pc.in
                ${CMAKE_CURRENT_BINARY_DIR}/nds2-client.pc @ONLY)
configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/nds2-client-uninstalled.pc.cmake
                ${CMAKE_CURRENT_BINARY_DIR}/nds2-client-uninstalled.pc )
install(
  FILES ${CMAKE_CURRENT_BINARY_DIR}/nds2-client.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
  COMPONENT Development
)
#========================================================================
# Installation - CPack
#========================================================================
install(
  TARGETS ${install_libs}
  RUNTIME
    DESTINATION ${RUNTIME_DESTINATION}
    COMPONENT applications
  LIBRARY
    DESTINATION ${LIBRARY_DESTINATION}
    COMPONENT applications
  ARCHIVE
    DESTINATION ${CMAKE_INSTALL_LIBDIR}
    COMPONENT Development
)

install(
  FILES ${ndsclient_hdrs}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}
  COMPONENT Development
)

if( NOT WIN32)
  install(
    FILES ${CMAKE_CURRENT_BINARY_DIR}/nds2-client.cfg
    DESTINATION ${CMAKE_INSTALL_FULL_SYSCONFDIR}/${PROJECT_NAME}
    COMPONENT applications
    )
endif( NOT WIN32 )

nds_post_install( )

# Thanks to https://cmake.org/cmake/help/v3.0/variable/CMAKE_DL_LIBS.html
# and http://stackoverflow.com/questions/1274529/building-project-involving-cmake-how-do-i-make-it-aware-of-libraries

=== src/libndscxx/CMakeLists.txt ===
# -*- mode: cmake; conding: utf-8; cmake-tab-width: 4; indent-tabs-mode: nil; -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
add_subdirectory(module)
add_subdirectory(test)

=== src/libndscxx/module/CMakeLists.txt ===
set(POST_INSTALL "")

set( ndscxx_srcs
     bash_pattern.c
     nds_buffer.cc
     nds_channel.cc
     nds_connection.cc
     nds_connection_ptype.cc
     nds_channel_cache.cc
     nds_channel_selection.cc
     nds_helper.cc
     nds_availability.cc
     nds_availability_internal.cc
     nds_request_fragment.cc
     nds_composer.cc
     nds_gap_handler.cc
     nds_static_val.cc
     nds_version.cc
     nds_parameter_block.cc
     nds_iterate_handler.cc
     nds_data_iterator.cc
     debug_stream.cc
     nds_standalone.cc
     nds_bash_pattern.hh
     nds_connection_ptype.hh
     nds_channel_selection.hh
     nds_availability_helper.hh
     nds_errno.hh
     nds_foreach.hh
     nds_iterate_handler.hh
     nds_iterate_handlers.hh
     nds_param_str.h
     nds_channel_cache.hh
     nds_standalone.hh
     nds_str_utility.hh
)

# headers that get installed
set( ndscxx_hdrs
     nds.hh 
     nds_availability.hh 
     nds_buffer.hh 
     nds_channel.hh 
     nds_connection.hh 
     nds_data_iterator.hh
     nds_epoch.hh
     nds_export.hh
     nds_version.hh
     nds_standalone.hh
)

include_directories( ${CMAKE_CURRENT_BINARY_DIR}
                     ${CMAKE_CURRENT_SOURCE_DIR}
		     ${PROJECT_BINARY_DIR}/src/client
		     ${PROJECT_SOURCE_DIR}/src/client )
add_definitions( "-DHAVE_CONFIG_H=1" )

#========================================================================
# Setup 
#========================================================================

#========================================================================
# Build rules
#========================================================================
cmake_policy(PUSH)
cmake_policy(SET CMP0003 NEW)
add_library(
  ndscxx
  SHARED ${ndscxx_srcs} ${ndscxx_hdrs}
)
target_requires_cpp11( ndscxx PUBLIC )
target_link_libraries( ndscxx PUBLIC ndsclient ${CMAKE_DL_LIBS} )
target_link_libraries( ndscxx PRIVATE nds::impl )
set_target_properties(
  ndscxx
  PROPERTIES
      C_STANDARD 99
      COMPILE_DEFINITIONS "NDS_EXPORT=1" )
set( install_libs ndscxx )
add_library(
  ndscxxStatic
  STATIC ${ndscxx_srcs} ${ndscxx_hdrs}
)
target_requires_cpp11( ndscxxStatic PUBLIC )
target_link_libraries( ndscxxStatic PUBLIC ndsclient ${CMAKE_DL_LIBS} )
target_link_libraries( ndscxxStatic PRIVATE nds::impl )
set_target_properties(
  ndscxxStatic
  PROPERTIES
      COMPILE_DEFINITIONS "NDS_EXPORT=1" )
add_library(
    ndscxx_obj
    OBJECT ${ndscxx_srcs} ${ndscxx_hdrs}
)
target_requires_cpp11( ndscxx_obj PUBLIC )
target_compile_options(ndscxx_obj PUBLIC -fPIC)
target_include_directories(ndscxx_obj PRIVATE ../../../src/common)
#target_link_libraries( ndscxx_obj PRIVATE nds::impl )
set_target_properties(
    ndscxx_obj
    PROPERTIES
    C_STANDARD 99
    COMPILE_DEFINITIONS "NDS_EXPORT=1" )
cmake_policy(POP)


set_target_properties(
  ndscxx PROPERTIES
  OUTPUT_NAME ndscxx
)
if( UNIX )
  set_target_properties(
    ndscxxStatic PROPERTIES
    OUTPUT_NAME ndscxx
  )
  set( install_libs ${install_libs} ndscxxStatic )
endif( UNIX )

set( NDSCXX_SOVERSION_CURRENT  1 )
set( NDSCXX_SOVERSION_REVISION 0 )
set( NDSCXX_SOVERSION_AGE      0 )

if ( UNIX )
  nds_libtool_version_calculation( NDSCXX
    ${NDSCXX_SOVERSION_CURRENT}
    ${NDSCXX_SOVERSION_REVISION}
    ${NDSCXX_SOVERSION_AGE} )
  set_target_properties(
    ndscxx PROPERTIES
    VERSION ${NDSCXX_VERSION}
    SOVERSION ${NDSCXX_SOVERSION} )
endif ( UNIX )

#------------------------------------------------------------------------
# Create the package configure files
#------------------------------------------------------------------------

configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/libndscxx.pc.in
                ${CMAKE_CURRENT_BINARY_DIR}/libndscxx.pc @ONLY)
configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/libndscxx-uninstalled.pc.in
                ${CMAKE_CURRENT_BINARY_DIR}/libndscxx-uninstalled.pc )
configure_file( ${CMAKE_CURRENT_SOURCE_DIR}/conlibndscxx.pc.in
                ${CMAKE_CURRENT_BINARY_DIR}/conlibndscxx.pc @ONLY)
install(
  FILES
    ${CMAKE_CURRENT_BINARY_DIR}/libndscxx.pc
    ${CMAKE_CURRENT_BINARY_DIR}/conlibndscxx.pc
  DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig
  COMPONENT Development
)
#========================================================================
# Installation Rules
#========================================================================
install(
  TARGETS ${install_libs}
  RUNTIME
    DESTINATION ${RUNTIME_DESTINATION}
    COMPONENT applications
  LIBRARY
    DESTINATION ${LIBRARY_DESTINATION}
    COMPONENT applications
  ARCHIVE
    DESTINATION ${CMAKE_INSTALL_LIBDIR}
    COMPONENT Development
)
install(
  FILES ${ndscxx_hdrs}
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/${PROJECT_NAME}
  COMPONENT Development
)

if ( ( CMAKE_VERSION VERSION_EQUAL "3.9.0" )
    OR ( CMAKE_VERSION VERSION_GREATER "3.9.0" ) )
  install(
    FILES $<TARGET_OBJECTS:ndscxx_obj>
    DESTINATION ${CONLIBNDSCXX_LIBDIR}
    COMPONENT Development
    )
else()
  install(
    DIRECTORY "${CMAKE_CURRENT_BINARY_DIR}/CMakeFiles/ndscxx_obj.dir/"
    DESTINATION ${CONLIBNDSCXX_LIBDIR}
    COMPONENT Development
    FILES_MATCHING PATTERN "*${CMAKE_CXX_OUTPUT_EXTENSION}"
    )
endif()

=== src/libndscxx/test/CMakeLists.txt ===
# -*- conding: utf-8; cmake-tab-width: 4; indent-tabs-mode: nil; -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
add_library(test_environmental_support STATIC environmental_support.cc)
function(standalone_test name command)
    if( WIN32 )
        set(CMD_PATH ${EXECUTABLE_OUTPUT_PATH})
    else( WIN32 )
        set(CMD_PATH ${CMAKE_CURRENT_BINARY_DIR})
    endif( WIN32 )

    add_executable(${command} ${command}.cc)
    #target_include_directories(${command} ${test_includes})
    target_link_libraries(${command} ndscxx test_environmental_support)
    add_test(
        NAME ${name}
        COMMAND
            "${CMD_PATH}/${command}"
    )
    set_tests_properties( ${name}
        PROPERTIES
            SKIP_RETURN_CODE 77
            TIMEOUT 180
    )
endfunction(standalone_test)
function(build_test command)
    add_executable(${command} ${command}.cc)
    #target_include_directories(${command} ${test_includes})
    target_link_libraries(${command} ndscxx test_environmental_support)
endfunction(build_test)
#------------------------------------------------------------------------
# Final variable substitution before use
#------------------------------------------------------------------------
string(CONFIGURE "${NDS_TESTER_FLAGS}" NDS_TESTER_FLAGS )
set(test_names)
set(test_includes PUBLIC
    "${CMAKE_BINARY_DIR}/src/libndscxx/module"
    "${CMAKE_SOURCE_DIR}/src/libndscxx/module"
    "${CMAKE_BINARY_DIR}/src/client"
    "${CMAKE_SOURCE_DIR}/src/client"
)
#------------------------------------------------------------------------
# Set the test includes.  When we move off of cmake 2.8.x use
# target_include_directories instead
#------------------------------------------------------------------------
include_directories(${test_includes})
#------------------------------------------------------------------------
standalone_test(_cxx_is-trend-type_ test_is_trend_type_cxx)
standalone_test(_cxx_gap-composer_ test_gap_composer_cxx)
standalone_test(_cxx_gap-handlers_ test_gap_handlers_cxx)
standalone_test(_cxx_nds2_version_ test_nds2_version_cxx)
standalone_test(_cxx_buffer_iterator_ test_buffer_iterator_cxx)
standalone_test(_cxx_nano_second_support_ test_nano_cxx)
#------------------------------------------------------------------------
if( PYTHON_EXECUTABLE )
    function(mock_server_test name command)
        add_executable(${command} ${command}.cc)
        #target_include_directories(${command} ${test_includes})
        target_link_libraries(${command} ndscxx test_environmental_support)
        add_test(
            NAME ${name}
            COMMAND
                "${PYTHON_EXECUTABLE}" "${PROG_NDS_TESTER}" ${NDS_TESTER_FLAGS}
                --nds1-mock-server
                "$<TARGET_FILE:${command}>" )
        set_tests_properties( ${name}
            PROPERTIES
                SKIP_RETURN_CODE 77
                TIMEOUT 180 )
        set( NDS_CUSTOM_MEMCHECK_IGNORE
            ${NDS_CUSTOM_MEMCHECK_IGNORE} ${name}
            CACHE INTERNAL "" )
    endfunction(mock_server_test)
    function(replay_server_test name command json)
        build_test( ${command} )
        replay_server_test_nobuild( ${name} ${command} ${json} ${ARGN} )
    endfunction(replay_server_test)
    function(replay_server_test_nobuild name command json)
        if( WIN32 )
            set(CMD_PATH ${EXECUTABLE_OUTPUT_PATH})
        else( WIN32 )
            set(CMD_PATH ${CMAKE_CURRENT_BINARY_DIR})
        endif( WIN32 )
        if ( REPLAY_BLOB_CACHE_DIR )
            set_nds_protocols(protocols ${name})
            foreach ( proto ${protocols} )
                set(test_name "${name}${proto}_")
                add_test(
                    NAME ${test_name}
                    COMMAND
                    	${PROG_ENV} "REPLAY_BLOB_REMOTE_CACHE=${REPLAY_BLOB_CACHE_DIR}"
                        "${PYTHON_EXECUTABLE}" "${PROG_NDS_TESTER}" ${NDS_TESTER_FLAGS}
                        --replay-server
                        --replay-json-filename ${json}
                        --replay-protocol ${proto}
                        "$<TARGET_FILE:${command}>" ${ARGN} )
                set_tests_properties( ${test_name}
                    PROPERTIES
                        SKIP_RETURN_CODE 77
                        TIMEOUT 180 )
                set( NDS_CUSTOM_MEMCHECK_IGNORE
                    ${NDS_CUSTOM_MEMCHECK_IGNORE} ${test_name}
                    CACHE INTERNAL "" )
            endforeach ( proto )
        endif ( REPLAY_BLOB_CACHE_DIR )
    endfunction(replay_server_test_nobuild)
    #====================================================================
    # These tests require a minimum of Python
    #====================================================================
    mock_server_test(_cxx_mockup_ test_mockup_cxx)
    #--------------------------------------------------------------------
    build_test(test_channel_selector_cxx)
    replay_server_test_nobuild(
            _cxx_nds2_test_channel_selector_
            test_channel_selector_cxx
            nds2-channel-selector.json)
    build_test(test_ambiguous_channel_cxx)
    replay_server_test_nobuild(
            _cxx_nds2_ambiguous_channel_
            test_ambiguous_channel_cxx
            nds2-ambiguous-channel.json
    )
    #--------------------------------------------------------------------
    build_test(test_iterate_with_full_gap_cxx)
    replay_server_test_nobuild(
            _cxx_nds2_test_iterate_with_full_gap_
            test_iterate_with_full_gap_cxx
            nds2-iterate-with-full-gap.json)
    #--------------------------------------------------------------------
    build_test(test_fetch_all_gap_cxx)
    replay_server_test_nobuild(
            _cxx_nds2_fetch_all_gap_
            test_fetch_all_gap_cxx
            nds2-fetch-all-gap.json)
    #--------------------------------------------------------------------
    build_test(test_fetch_all_gap_abort_test_cxx)
    replay_server_test_nobuild(
            _cxx_nds2_fetch_all_gap_abort_test_
            test_fetch_all_gap_abort_test_cxx
            nds2-fetch-all-gap-abort-test.json)

    #--------------------------------------------------------------------
    build_test(test_fetch_cxx)
    replay_server_test_nobuild(
            _cxx_nds2_fetch_
            test_fetch_cxx
            lho-prod.json)
    #--------------------------------------------------------------------
    build_test(test_fetch_standalone_cxx)
    replay_server_test_nobuild(
            _cxx_nds2_fetch_standalone_
            test_fetch_standalone_cxx
            nds1-test-fetch-standalone.json
            -explicit-args
    )
    replay_server_test_nobuild(
            _cxx_nds2_fetch_standalone_env_
            test_fetch_standalone_cxx
            nds1-test-fetch-standalone.json
    )
    #--------------------------------------------------------------------
    build_test(test_ticket74_bad_filler_cxx)
    replay_server_test_nobuild(
            _cxx_nds2_ticket74_bad_filler_
            test_ticket74_bad_filler_cxx
            nds2-test-ticket74-bad-filler.json)
    #--------------------------------------------------------------------
    build_test(test_timeout_cxx)
    replay_server_test_nobuild(
        _cxx_nds1_timeout_
        test_timeout_cxx
        nds1-timeout.json
        -proto-1)
    replay_server_test_nobuild(
        _cxx_nds2_timeout_
        test_timeout_cxx
        nds2-timeout.json
        -proto-2 )
    #--------------------------------------------------------------------
    replay_server_test(
        _cxx_nds2_availability_
        test_nds2_availability_cxx
        nds2-availability.json )
    #--------------------------------------------------------------------
    #replay_server_test(
    #    _cxx_nds1_basic-gap_
    #    test_nds1_basic_gap_cxx
    #    nds1-basic_gap_multi.json
    #    -multi )
    #--------------------------------------------------------------------
    replay_server_test(
        _cxx_nds1_get-epochs_
        test_get_epochs_cxx
        nds1-get-epoch.json -proto-1 )
    #--------------------------------------------------------------------
    replay_server_test(
            _cxx_nds2_one-second-channel-list_
            test_nds2_one-second-channel-list_cxx
            nds2-one_second_channel_list.json )
    #--------------------------------------------------------------------
    build_test( test_nds2_dissimilar_gaps_cxx )
    replay_server_test_nobuild(
        _cxx_nds2_dissimilar-gaps_
        test_nds2_dissimilar_gaps_cxx
        nds2-dissimilar_gaps.json )
    #--------------------------------------------------------------------
    replay_server_test(
            _cxx_nds2_iterate_no_data_
            test_nds2_iterate_no_data_cxx
            nds2-iterate_with_no_data.json
    )
    build_test( test_iterate_with_gaps_cxx )
    replay_server_test_nobuild(
        _cxx_nds1_iterate-with-gaps_
        test_iterate_with_gaps_cxx
        nds1-iterate_with_leading_gap.json
        -proto-1 )
    replay_server_test_nobuild(
        _cxx_nds2_iterate-with-gaps_
        test_iterate_with_gaps_cxx
        nds2-iterate_with_leading_gap.json
        -proto-2 )
    #--------------------------------------------------------------------
    replay_server_test(
        _cxx_nds1_restart_failure_
        test_nds1_restart_failure_cxx
        nds1-restart-failure.json
    )
    #--------------------------------------------------------------------
    build_test( test_nds_count_channels_cxx )
    replay_server_test_nobuild(
        _cxx_nds1_count-channels_
        test_nds_count_channels_cxx
        nds1-count-channels-synthetic.json
        -proto-1 )
    replay_server_test_nobuild(
        _cxx_nds2_count-channels_
        test_nds_count_channels_cxx
        nds2-count-channels-synthetic.json
        -proto-2 )
    #--------------------------------------------------------------------
    replay_server_test(
        _cxx_nds2_ticket-169_
        test_ticket_169_cxx
        nds2-ticket-169.json )
    #--------------------------------------------------------------------
    replay_server_test(
        _cxx_nds2_ticket-246_
        test_ticket_246_cxx
        nds2-ticket-246.json )
    #--------------------------------------------------------------------
    replay_server_test(
            _cxx_nds2_test_ticket-260_
            test_ticket_260_cxx
            nds2-ticket-260.json
    )
    #--------------------------------------------------------------------
    build_test( test_nds_ticket_282_cxx )
    replay_server_test_nobuild(
            _cxx_nds1_ticket-282_cxx_
            test_nds_ticket_282_cxx
            nds1-ticket-282.json
            -proto-1
    )
    #--------------------------------------------------------------------
    replay_server_test(
        _cxx_nds2_test_ticket-288_
        test_ticket_288_cxx
        nds2-ticket-288.json
    )
    #--------------------------------------------------------------------
    replay_server_test(
            _cxx_nds2_ticket-289_
            test_nds2_ticket_289_cxx
            nds2-ticket-289.json
    )
    #--------------------------------------------------------------------
    build_test( test_nds_iterate_all_data_standalone_cxx )
    replay_server_test_nobuild(
            _cxx_nds2_iterate-all-data-standalone_
            test_nds_iterate_all_data_standalone_cxx
            nds2-iterate-all-data-standalone-synthetic.json
            -proto-2 -explicit-args
    )
    replay_server_test_nobuild(
            _cxx_nds2_iterate-all-data-standalone-nogaphandler_
            test_nds_iterate_all_data_standalone_cxx
            nds2-iterate-all-data-standalone-synthetic.json
            -proto-2 -no-gap -explicit-args
    )
    replay_server_test_nobuild(
            _cxx_nds2_iterate-all-data-standalone-env_
            test_nds_iterate_all_data_standalone_cxx
            nds2-iterate-all-data-standalone-synthetic.json
            -proto-2
    )
    replay_server_test_nobuild(

=== debian/changelog ===
nds2-client (0.16.2-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Mon, 05 Nov 2018 16:38:19 -0700

nds2-client (0.16.1-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Mon, 22 Oct 2018 09:25:14 -0700

nds2-client (0.16.0-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Thu, 02 Aug 2018 13:32:57 -0700

nds2-client (0.15.3-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Wed, 14 Mar 2018 13:39:41 -0700

nds2-client (0.15.2-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Tue, 28 Nov 2017 15:01:03 -0700

nds2-client (0.15.1-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Fri, 27 Oct 2017 14:13:25 -0700

nds2-client (0.15.0-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Wed, 18 Oct 2017 16:44:39 -0700

nds2-client (0.14.3-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Fri, 01 Sep 2017 17:03:18 -0700

nds2-client (0.14.2-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Mon, 08 May 2017 16:22:17 -0700

nds2-client (0.14.1-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Mon, 01 May 2017 15:04:14 -0700

nds2-client (0.14.0-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Wed, 19 Apr 2017 13:06:55 -0700

nds2-client (0.13.1-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Thu, 27 Oct 2016 10:21:13 -0700

nds2-client (0.13.0-1) unstable; urgency=medium

  * Updated code as described in the ChangeLog

 -- Edward Maros <ed.maros@ligo.org>  Mon, 24 Oct 2016 15:43:27 -0700

nds2-client (0.12.2-1) unstable; urgency=medium

  * Corrected client/swig/python/Makefile.am to define DESTDIR to /
    if unset (#225)
  * Expanded error message for data on tape for SWIG extensions based on the
    C interface (#227)
  * Suppress messages going to terminal (#188)
	
 -- Edward Maros <emaros@alphard.ligo.caltech.edu>  Wed, 08 Jun 2016 12:25:59 -0700

nds2-client (0.12.1-1) unstable; urgency=medium

  * This addresses some build issues releated to reference platforms use by the LVC

 -- Edward Maros <emaros@alphard.ligo.caltech.edu>  Wed, 20 Apr 2016 10:37:17 -0700

nds2-client (0.12.0-1) unstable; urgency=medium

  * No longer using sqlite database for nds2
  * Can set epochs [start,stop) ranges to reduce channel list size on nds2
    queries (also constrains data)
  * Added a version string to the SWIG interface
  * Added a set_parameter call to allow default settings on the connection to
    be changed
  * The system now defaults to it being an error condition when is on tape.
     - this can be overridden in the environment or through a call to
       set_parameter(‘ALLOW_DATA_ON_TAPE’, 1)
  * Added a new swig backend which is released as a seperate interface for
    testing. Currently exposed through the ‘nds’ module/namespace.  It is
    expected that this backend will become the default in the near future.
    - includes full gap handling (for both fetch and iterate)
    - includes the ability to query the nds2 server for preconfigured epochs
    - includes the ability to count the number of channels available
    - includes the ablilty to get detailed channel availability information
  * Added Octave bindings for the C++ interface
  * Fixed python swig bindings to support Python 3.4 on OSX
  * Disabled some unit tests when OSX System Integrity Protection is in effect.
    
 -- Edward Maros <emaros@alphard.ligo.caltech.edu>  Tue, 19 Apr 2016 10:52:37 -0700

nds2-client (0.11.6-1) unstable; urgency=medium

  * Fixed the nds2_connection object now clears the request_in_progress
    flag on errors (#161).
    
 -- Edward Maros <emaros@alphard.ligo.caltech.edu>  Thu, 07 May 2015 09:45:13 -0700

nds2-client (0.11.5-1) unstable; urgency=medium

  * Resolved ticket 160

 -- Edward Maros <emaros@alphard.ligo.caltech.edu>  Fri, 20 Mar 2015 20:08:56 -0700

nds2-client (0.11.4-1) unstable; urgency=medium

  * Resolved tickets 157, 158 and 159

 -- Edward Maros <emaros@alphard.ligo.caltech.edu>  Fri, 6 Mar 2015 09:01:03 -0800

nds2-client (0.11.3-1) unstable; urgency=medium

  * Require SWIG 2.0.11 or later (#144, #145)
  * nds_query now returns a non-zero exit code when any daq call
    fails (#139)
  * Java bindings for OSX Yosemite using MATLAB 2014b (#149)
  * requesting of trend data from nds1 servers (#137)
  * Python SWIG bindings for UINT-4 ODC Channels (#143)
  * Total nds1 channel count returned by conn.find_channels()
    to include fast data and uint32 data (#148)
  * daq_send now returns response code on socket errors (#142)
  * read_bytes() to return -1 on error, 0 for eof, > 0 for bytes
    read (#141)

 -- Edward Maros <emaros@alphard.ligo.caltech.edu>  Fri, 13 Feb 2015 13:13:50 -0800

nds2-client (0.11.2-1) unstable; urgency=medium

  * Resolved tickets 134 and 135

 -- Edward Maros <ed.maros@ligo.org>  Tue, 04 Nov 2014 08:55:19 -0700

nds2-client (0.11.1-1) unstable; urgency=medium

  * Revert name change of octave and python packages.

 -- Jameson Rollins <jameson.rollins@ligo.org>  Mon, 27 Oct 2014 12:37:33 -0700

nds2-client (0.11.0-1) unstable; urgency=low

  * Addresses tickets: 68, 88, 100, 107, 112, 114, 115, 126

 -- Edward Maros <ed.maros@ligo.org>  Tue, 21 Oct 2014 11:07:18 -0700

nds2-client (0.10.5-1) unstable; urgency=low

  * Allo nds2 server to send too much data
  * update nds_query man


=== debian/control ===
Source: nds2-client
Section: net
Priority: optional
Maintainer: Edward Maros <ed.maros@ligo.org>
Build-Depends:
 debhelper (>= 9),
 dh-python,
 cmake,
 gawk,
 pkg-config,
 python,
 libkrb5-dev,
 libsasl2-dev,
 libsasl2-modules,
 libsasl2-modules-gssapi-mit
Standards-Version: 3.9.8
Homepage: https://wiki.ligo.org/DASWG/NDSClient

Package: nds2-client
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 krb5-user
Suggests:
 libnds2-client-java,
 libnds2-client-matlab,
 octave-nds2-client,
 python-nds2-client,
 python3-nds2-client
Description: NDS2 client binaries
 The Network Data Server (NDS) is a TCP/IP protocol for retrieving
 online or archived data from thousands of instrument channels at LIGO
 (Laser Interferometer Gravitational-Wave Observatory) sites and data
 analysis clusters.  Version 2 of the protocol includes communication
 with Kerberos and GSSAPI.
 .
 This package includes some client binary examples.

#========================================================================
# Currently the cmake rules do not support making of the man pages.
#========================================================================
#Package: nds2-client-man
#Section: doc
#Architecture: all
#Depends:
# ${misc:Depends}
#Description: NDS2 client man pages
# The Network Data Server (NDS) is a TCP/IP protocol for retrieving
# online or archived data from thousands of instrument channels at LIGO
# (Laser Interferometer Gravitational-Wave Observatory) sites and data
# analysis clusters.  Version 2 of the protocol includes communication
# with Kerberos and GSSAPI.
# .
# This package includes client man pages.

Package: libnds2-client
Architecture: any
Replaces: nds2-client-lib (<< 0.10.0-1)
Breaks: nds2-client-lib (<< 0.10.0-1)
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends:
 libsasl2-modules,
 libsasl2-modules-gssapi-mit
Description: NDS2 client libraries
 The Network Data Server (NDS) is a TCP/IP protocol for retrieving
 online or archived data from thousands of instrument channels at LIGO
 (Laser Interferometer Gravitational-Wave Observatory) sites and data
 analysis clusters.  Version 2 of the protocol includes communication
 with Kerberos and GSSAPI.
 .
 This package includes the client C++ library.

Package: libnds2-client-dev
Section: libdevel
Architecture: any
Replaces: nds2-client-dev (<< 0.10.0-1)
Breaks: nds2-client-dev (<< 0.10.0-1)
Depends:
 ${misc:Depends},
 libnds2-client (= ${binary:Version})
Description: NDS2 client development files
 The Network Data Server (NDS) is a TCP/IP protocol for retrieving
 online or archived data from thousands of instrument channels at LIGO
 (Laser Interferometer Gravitational-Wave Observatory) sites and data
 analysis clusters.  Version 2 of the protocol includes communication
 with Kerberos and GSSAPI.
 .
 This package includes the client C++ development files.

Package: nds2-client-lib
Section: oldlibs
Priority: extra
Architecture: all
Depends:
 ${misc:Depends},
 libnds2-client (= ${binary:Version})
Description: NDS2 client libraries (transitional)
 The Network Data Server (NDS) is a TCP/IP protocol for retrieving
 online or archived data from thousands of instrument channels at LIGO
 (Laser Interferometer Gravitational-Wave Observatory) sites and data
 analysis clusters.  Version 2 of the protocol includes communication
 with Kerberos and GSSAPI.
 .
 This is a transitional dummy package for libnds2-client.  It can be
 safetly removed.

Package: nds2-client-dev
Section: oldlibs
Priority: extra
Architecture: all
Depends:
 ${misc:Depends},
 libnds2-client-dev (= ${binary:Version})
Description: NDS2 client development files (transitional)
 The Network Data Server (NDS) is a TCP/IP protocol for retrieving
 online or archived data from thousands of instrument channels at LIGO
 (Laser Interferometer Gravitational-Wave Observatory) sites and data
 analysis clusters.  Version 2 of the protocol includes communication
 with Kerberos and GSSAPI.
 .
 This is a transitional dummy package for libnds2-client-dev.  It can
 be safetly removed.

Package: nds2-client-all
Architecture: any
Depends:
 ${misc:Depends},
 nds2-client (= ${binary:Version}),
 libnds2-client (= ${binary:Version}),
 libnds2-client-dev (= ${binary:Version}),
Description: NDS2 meta package
 The Network Data Server (NDS) is a TCP/IP protocol for retrieving
 online or archived data from thousands of instrument channels at LIGO
 (Laser Interferometer Gravitational-Wave Observatory) sites and data
 analysis clusters.  Version 2 of the protocol includes communication
 with Kerberos and GSSAPI.
 .
 This package installs all NDS2 client packages, including libraries,
 language bindings, binary interface, and documentation.
